<?php

namespace Modules\User\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Modules\City\Models\City;
use Modules\Country\Models\Country;

class Address extends Model
{
    use SoftDeletes;

    protected $fillable = ['user_status','address','latitude','longitude','country_id','city_id','user_id'];

    public function country()
    {
        return $this->belongsTo(Country::class)->withTrashed();
    }
    public function city()
    {
        return $this->belongsTo(City::class)->withTrashed();
    }
}
